﻿<Controls:MetroWindow x:Class="LifenoteWPF.View.Registration"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
        xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
        xmlns:local="clr-namespace:LifenoteWPF.View"
        xmlns:Controls="clr-namespace:MahApps.Metro.Controls;assembly=MahApps.Metro"
        mc:Ignorable="d" 
        Title="Registration" Height="280" Width="520" Background="Black">
    <Controls:MetroWindow.LeftWindowCommands>
        <Controls:WindowCommands>
            <Image Source="/Images/logo.png" Margin="5"/>
        </Controls:WindowCommands>
    </Controls:MetroWindow.LeftWindowCommands>
    <Grid Background="DarkGreen" Height="320"  VerticalAlignment="Top" >
        <TextBlock Height="23" HorizontalAlignment="Left" Margin="10,5,0,0" Name="textBlockHeading" Text="Registration:" VerticalAlignment="Top" Width="110"  FontSize="17" FontStretch="ExtraCondensed"/>
        <!--Button as a Link button using style-->
        <Button Margin="451,5,12,288" Content="Login" Cursor="Hand" Click="Login_Click">
            <Button.Template>
                <ControlTemplate TargetType="Button">
                    <TextBlock TextDecorations="Underline">
                    <ContentPresenter />
                    </TextBlock>
                </ControlTemplate>
            </Button.Template>
            <Button.Style>
                <Style TargetType="Button">
                    <Setter Property="Foreground" Value="Navy" />
                    <Style.Triggers>
                        <Trigger Property="IsMouseOver" Value="true">
                            <Setter Property="Foreground" Value="Red" />
                        </Trigger>
                    </Style.Triggers>
                </Style>
            </Button.Style>
        </Button>
        <!--end Button as a Link button using style-->
        <Grid Margin="30,0,30.333,90.667" Background="LightGreen" Height="193" VerticalAlignment="Bottom">
            <Grid.RowDefinitions>
                <RowDefinition Height="252*" />
                <!--   <RowDefinition Height="12*" />-->
            </Grid.RowDefinitions>
            <TextBlock Height="20" HorizontalAlignment="Left" Margin="67,0,0,0" x:Name ="errormessage" VerticalAlignment="Top" Width="247"  OpacityMask="Crimson" Foreground="#FFE5572C" />
            <TextBlock Height="23" HorizontalAlignment="Left" Margin="67,20,0,0" Name="textBlockEmail" Text="Email:" VerticalAlignment="Top" Width="110" />
            <TextBlock Height="23" HorizontalAlignment="Left" Margin="67,50,0,0" Name="textBlockPassword" Text="Password:" VerticalAlignment="Top" Width="110"  />
            <TextBlock Height="23" HorizontalAlignment="Left" Margin="67,80,0,0" Name="textBlockConfirmPwd" Text="ConfirmPassword:" VerticalAlignment="Top" Width="110" Grid.RowSpan="2" />
            <!-- email -->
            <TextBox Height="23" HorizontalAlignment="Left" Margin="183,20,0,0" Name="textBoxEmail" VerticalAlignment="Top" Width="222" />
            <!-- password region -->
            <PasswordBox Height="23" HorizontalAlignment="Left" Margin="183,50,0,0" Name="passwordBox1" VerticalAlignment="Top" Width="222" />
            <PasswordBox Height="23" HorizontalAlignment="Left" Margin="183,80,0,0" Name="passwordBoxConfirm" VerticalAlignment="Top" Width="222" />
            <!-- password endregion -->
            <Button Content="Submit" Height="23" HorizontalAlignment="Left" Margin="163,140,0,0" Name="Submit" VerticalAlignment="Top" Width="92" Click="Submit_Click" />
            <Button Content="Reset" Height="23" HorizontalAlignment="Left" Margin="260,140,0,0" Name="Reset" VerticalAlignment="Top" Width="70" Click="Reset_Click" />
            <Button Content="Cancel" Height="23" HorizontalAlignment="Right" Margin="0,140,60,0" Name="Cancel" VerticalAlignment="Top" Width="70" Click="Cancel_Click" />
        </Grid>
    </Grid>
</Controls:MetroWindow>
